### Method

# ICalGLib Property set_value_from_string

since: 1.0

#### Declaration [src]

    void
    i_cal_property_set_value_from_string (
      ICalProperty* prop,
      const gchar* value,
      const gchar* kind
    )

#### Description [src]

Sets the `ICalProperty` with the `ICalValue` constructed from string.

Available since: 1.0

#### Parameters

`value`

  Type: `const gchar*`

  The value used to construct the `ICalValue`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`kind`

  Type: `const gchar*`

  The kind used to construct the `ICalValue`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.